autopkgtest-virt-chroot(1)

NAME
autopkgtest-virt-chroot - autopkgtest virtualisation server using a chroot

SYNOPSIS
autopkgtest [...] -- chroot [options] [-rgain-root-cmd] /path/to/chroot

DESCRIPTION
autopkgtest-virt-chroot provides an autopkgtest virtualisation server using a chroot install (or similar).

Normally autopkgtest-virt-chroot will be invoked by autopkgtest.

The chroot directory to use must be specified.

OPTIONS

--gain-root|-r gain-root-cmd
    Specifies that autopkgtest-virt-chroot can become root (on the host) by prefixing its commands with gain-root-cmd. The command may consist of several words separated by whitespace, in which case words other than the first are supplied as additional arguments to the command; other shell (or other) metacharacters in gain-root-cmd are not interpreted or modified by autopkgtest-virt-chroot. The actual command to be run as root, and its arguments, are supplied as additional (separate) arguments to gain-root-cmd.

    Root privilege is needed, to successfully run chroot(8), if the chroot to use is specified as an absolute path. The default is not to take any special action when root will be needed, in which case for an absolute path chroot, autopkgtest-virt-chroot must be started as root.

-d | --debug
    Enables debugging output. Probably not hugely interesting.

INPUT, OUTPUT AND EXIT STATUS
The behaviour of autopkgtest-virt-chroot is as described by the AutomatedTesting virtualisation regime specification.

SEE ALSO
autopkgtest(1), autopkgtest-schroot(1), /usr/share/doc/autopkgtest/.

AUTHORS AND COPYRIGHT
This manpage is part of autopkgtest, a tool for testing Debian binary packages. autopkgtest is Copyright (C) 2006-2007 Canonical Ltd and others.

See /usr/share/doc/autopkgtest/CREDITS for the list of contributors and full copying conditions.